package j1_java_basic.J20250608;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo01
 * @description 方法
 * @create 2025/6/8
 */
public class Demo01 {
    //java中的方法和C语言中的函数基本是一样的。
    /*
        声明方法的格式：
        //public:公共的，任何的位置都可以访问这个方法。
        //static:静态的，用static修饰的方法，可以通过类名直接调用

        public static 返回值类型 方法名(形参列表){

            方法体
            return 返回值;
        }

        方法中可能存在返回值，也可能不存在返回值。
            |-如果方法有返回值，那么就要在声明方法的时候，先声明返回值的类型。
            |-返回值必须和返回值类型匹配。
            |-如果方法没有返回值，那么就要在声明方法的时候，使用void填充返回值类型的位置
        方法中可能存在参数列表，可也能不存在参数列表。
            |-如果方法有参数列表，那么调用方法的时候，必须传递类型匹配、个数匹配的实参。
            |-如果方法没有形参列表，那么调用方法的时候，就一定不能传递实参。
        四种情况：
            有参数，有返回值的方法
            有参数，无返回值的方法
            无参数，有返回值的方法
            无参数，无返回值的方法

        调用方法的格式：
        类名.方法名
     */

    //无参数、无返回值的方法
    public static void m1(){
        System.out.println("Hello");
        System.out.println("Hello");
        System.out.println("Hello");
        System.out.println("Hello");
        for (int i = 0; i < 10; i++) {
            System.out.println("Hello");
        }
    }
    //有参数，有返回值的方法
    public static int add1(int a,int b){
        int sum=a+b;
        return sum;
    }

    // 无参数，有返回值
    public static String m2(){
        return "Hello World";
    }

    //有参数，无返回值
    public static void m3(String name){
        System.out.println("Hello "+name);
    }

    public static void main(String[] args) {
        //类名.方法名()
        Demo01.m1();//没参数，没返回值
        int sum = Demo01.add1(1, 6);//有参数，有返回值
        System.out.println(sum);
        String s = Demo01.m2();//无参数，有返回值
        System.out.println(s);
        Demo01.m3("张三");//有参数，无返回值

    }
}
