package com.lovecoding.J20250511;

import java.util.Random;
import java.util.Scanner;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo03
 * @description 100以内加减法：
 * 随机生成两个整数。输出到控制台，格式如下：
 * 53+75=？
 * 控制台中输入结果：
 * 128
 * 恭喜，回答正确。请听下一题：
 * xx+yy=?
 * zz
 * 如果回答错误，则提示：回答错误，请听下一题：
 * 直到输入：exit。则提示：
 * 结束加法练习。
 *
 * 当输入了exit结束或回答了20道加法练习之后，要统计刚刚用户回答了多少道题，回答正确多少道，错误多少道。(数组，计算20道)
 * 然后再结束程序。
 *
 * @create 2025/5/11
 */
public class Demo03 {
    public static void main(String[] args) {
        boolean boo[] =new boolean[20];
        Random ran=new Random();
        Scanner sc=new Scanner(System.in);
        int count=0;
        for (int i=0;i<20;i++){
            int a=ran.nextInt(100)+1;
            int b=ran.nextInt(100)+1;
            System.out.println("请计算"+a+"+"+b+"=?");
            String inStr=sc.nextLine();
            if (inStr.equals("exit"))
                break;
            int result=Integer.parseInt(inStr); //Integer.parseInt(字符串)，把字符串类型的整数转换成int类型的整数

            if (result==(a+b)) {
                System.out.println("回答正确，" + a + "+" + b + "=" + result + "，请听下一题");
                boo[i] = true;
            }
            else{
                System.out.println("回答错误，"+a+"+"+b+"!="+result+"，请听下一题");
                boo[i]=false;
            }
            count++;
        }
        int t=0;
        int f=0;
        for (int i = 0; i < count; i++) {
            if (boo[i]==true){
                t++;
            }else if (boo[i]==false){
                f++;
            }
        }
        System.out.println("结束答题...用户一共回答了"+count+"道题。答对了"+t+"道题，打错了"+f+"道题");
    }

}
